commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gary Gregory <ggreg...@apache.org>
Subject [VOTE][Lang] Update to Java 6
Date Mon, 27 Feb 2012 21:16:02 GMT
Hello All:

This VOTE is to update the platform requirement for Commons Lang trunk to
Java 6 from Java 5.

The reasons are:

- Stop wasting time back porting code contributions from Java 6 to Java 5.
- Stop fixing erroneous commits that happened to use Java 6 methods.
- Stop using a dead version of Java for current development

- Use a current version of Java for current development in trunk
- Attract more developers and interest.

The current version of Lang is 3.1 and requires Java 5. If more Java 5-only
patches are needed, they will be performed on a branch.

This VOTE is open for at least 72 hours (March 1, 2012 at 16:20PM EST)

Thank you,
Gary

-- 
E-Mail: garydgregory@gmail.com | ggregory@apache.org
JUnit in Action, 2nd Ed: http://bit.ly/ECvg0
Spring Batch in Action: http://bit.ly/bqpbCK
Blog: http://garygregory.wordpress.com
Home: http://garygregory.com/
Tweet! http://twitter.com/GaryGregory <http://twitter.com/GaryGregory>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message